package com.yunzhupaas.service;

import com.yunzhupaas.base.ActionResult;
import com.yunzhupaas.dto.OnlineExamSubmitDTO;
import com.yunzhupaas.entity.*;
import com.yunzhupaas.base.service.SuperService;
import com.yunzhupaas.model.traintestpaperlibrary.*;
import java.util.*;

/**
 * 在线考试
 * 版本： V5.2.0
 * 版权： Copyright @ 2025
 * 作者： 浙江尖峰集团股份有限公司
 * 日期： 2024-11-05
 */
public interface TrainTestPaperLibraryService extends SuperService<TrainTestPaperLibraryEntity> {
    List<TrainTestPaperLibraryEntity> getList(TrainTestPaperLibraryPagination trainTestPaperLibraryPagination);

    List<TrainTestPaperLibraryEntity> getTypeList(TrainTestPaperLibraryPagination trainTestPaperLibraryPagination,String dataType);

    TrainTestPaperLibraryEntity getInfo(String id);

    void delete(TrainTestPaperLibraryEntity entity);

    void create(TrainTestPaperLibraryEntity entity);

    boolean update(String id, TrainTestPaperLibraryEntity entity);

	String checkForm(TrainTestPaperLibraryForm form,int i);

    void saveOrUpdate(TrainTestPaperLibraryForm trainTestPaperLibraryForm,String id, boolean isSave) throws Exception;

    ActionResult onlineExamSubmit(OnlineExamSubmitDTO onlineExamSubmitDTO);
}

